# Featured Recipes
Featured recipes are exciting recipes created by members of the TJBot community.

If you would like your own recipe included in our featured recipe list, please open an issue with a link to your repository and a demo video.

# Playground
- **[TJBot Swift Playground](http://ibm.biz/tjbot-playground)** 
Follow the adventures of Tinker, the virtual TJBot, in his quest to transform into a real, live TJBot!  This is an interactive Swift Playground for iOS that allows you to program TJBot – both virtual and physical – in the Swift programming language. This playground does not require an actual TJBot to use, but if you would like to program your TJBot, it requires installation of the [TJBot Daemon](http://ibm.biz/tjbot-daemon) on your TJBot.

[![TJBot Swift Playground](http://i.imgur.com/K7cVdu9.png?1)](http://ibm.biz/tjbot-playground)

- **[TJBot Daemon](http://ibm.biz/tjbot-daemon)**. 
Node.js application that listens for TJBot commands via Bluetooth Low Energy (BLE). This application was developed for use by the [TJBot Swift Playground](http://ibm.biz/tjbot-playground) to listen for commands via BLE, but it can be used for other applications as well.

# Expressing Emotions
- **[Build a TJBot That Cares](https://medium.com/ibm-watson-developer-cloud/build-a-chatbot-that-cares-part-1-d1c273e17a63#.vtxwvsydl)**  by [Josh Zheng](https://github.com/boxcarton). This recipe puts a voice interface onto TJBot, then gives it the ability to converse and understand your emotional tones.

[![Build a TJBot That Cares](https://img.youtube.com/vi/2GqEUcBU4SY/0.jpg)](https://www.youtube.com/watch?v=2GqEUcBU4SY)

- **Conflict resolution TJBot for kids**

[![Conflict resolution TJBot for kids](https://img.youtube.com/vi/fyXUOFYK_uc/0.jpg)](https://www.youtube.com/watch?v=fyXUOFYK_uc)

- **[Twitter Wave](https://github.com/jweisz/twitter-wave)** by [Justin Weisz](https://github.com/jweisz). This recipe is an enhancement of the Sentiment Analysis recipe included in TJBot. This recipe adds options for TJBot to wave and announce when the sentiment for a topic changes.

# Reporting Weather, Time, News, Sports
- **[TJ Weather](https://github.com/suprbh/tjweather)**  by [Supriya Bhat](https://github.com/suprbh). Use TJBot as a personal weather station.

[![TJ Weather](https://img.youtube.com/vi/Q7a6UK8U-DM/0.jpg)](https://www.youtube.com/watch?v=Q7a6UK8U-DM)
- **[weatherbot](https://github.com/dalelane/weatherbot)** by [Dale Lane](https://github.com/dalelane). Making #TJBot into weatherbot. The angle of his arm shows you forecasted tempreture and his head lights up if it will rain!

[![weatherbot](https://i.imgur.com/ESSpkRq.png)](https://github.com/dalelane/weatherbot)

- **[Tell the time](https://github.com/damiancummins/tell_the_time)** by [Damian Cummins](https://github.com/damiancummins). Build a robot that can tell the time in different cities with Watson.

[![Tell the Time](https://i.imgur.com/CFgyjDm.png)](https://www.instagram.com/p/BRx--orh67qHqLHFasKgQUpSSDI4h4d9sJnyok0/)

- **[Thomas: A TJBot News Grabber](https://github.com/tanmayb123/tThomas---the-TJBot-News-Grabber-Chatbot)** by [Tanmay Bakshi](https://github.com/tanmayb123). Build a chatbot that can report the news. It uses Discovery, Conversation, Natural Language Understanding, Knowledge Studio, Speech to Text, and Text to Speech.

[![News grabber](https://img.youtube.com/vi/1m8CF1pMpXg/0.jpg)](https://www.youtube.com/watch?v=1m8CF1pMpXg)

- **[SportsBuddy](https://developer.ibm.com/code/patterns/sports-buddy-tjbot-watson-discovery/?cm_mmc=dw-_-social1710-_-twitterorganic-_-ibmcodeai&fst=Learn&social_post=1112633798&utm_campaign=crowdfire&utm_content=crowdfire&utm_medium=social&utm_source=twitter)** Use the SportsBuddy to chat about your favorite MLB team and receive news and standings using Twilio.

[![SportsBuddy](https://img.youtube.com/vi/NJ87_rYfH0c/0.jpg)](https://www.youtube.com/watch?v=NJ87_rYfH0c)

# Voice Assistant
- **[Personal Health Assistant](https://github.com/moosman1/A-Personal-Health-Assistant)**  by [Mohammad Osman](https://github.com/moosman1). A Personal Health Assistant
pplication for collecting user data that can reduce the information gap between doctors and patients.

[![Personal Health Assistant](https://img.youtube.com/vi/hGLJRvjnegM/0.jpg)](https://www.youtube.com/watch?v=hGLJRvjnegM)

**[Thomas](https://github.com/GuiJordao21/Thomas)** by [Guilherme Goncalves](https://github.com/GuiJordao21/). Interact with TJBot in your own language, a voice based assistant fully customizable with a second screen.

[![Thomas](https://img.youtube.com/vi/jxWP9CqcVe0/0.jpg)](https://www.youtube.com/watch?v=jxWP9CqcVe0)

# Extend TJBot With New Hardware

- **[TJBot_Drives](https://github.com/pgcrumley/Projects/tree/master/TJBot_Drives)** by [Paul G Crumley](https://github.com/pgcrumley). TJBot Drives! Sure, TJBot can't walk but there are other ways to be mobile.

[![TJBot_Drives](https://img.youtube.com/vi/AAlcMZAQDOI/0.jpg)](https://www.youtube.com/watch?v=AAlcMZAQDOI)

Here are some more driving experiements from TJBot friends!
[![BatBot](https://img.youtube.com/vi/s0HV3lmnF1Y/0.jpg)](https://www.youtube.com/watch?v=s0HV3lmnF1Y)

[![Mbed](https://img.youtube.com/vi/OXspc_cF3c0/0.jpg)](https://www.youtube.com/watch?v=OXspc_cF3c0)

- **[Distance-bot](http://www.spirited-engineering.com/?p=135)** by [Nguyen Van Duy](https://github.com/dnguyenv). Make your TJbot speak up based on distance with objects near by using hc-sr04 sensor and Watson service.

[![Distance-bot Video](https://img.youtube.com/vi/kGMoz_fgO04/0.jpg)](https://www.youtube.com/watch?v=kGMoz_fgO04)

- **TJBot with legs**

[![TJBot with legs](https://img.youtube.com/vi/c2IVVRanTbk/0.jpg)](https://www.youtube.com/watch?v=c2IVVRanTbk)

- **[tjbot-striplight](https://github.com/jweisz/tjbot-striplight)** by [Justin Weisz](https://github.com/jweisz). This recipe adds support for a NeoPixel RGB LED strip light to TJBot.

[![tjbot-striplight](http://i.imgur.com/bNuZcfO.jpg?1)](https://github.com/jweisz/tjbot-striplight)

- **[twitter-striplight](https://github.com/jweisz/twitter-striplight)** by [Justin Weisz](https://github.com/jweisz). Twitter monitoring recipe for TJBot with strip light support

[![twitter-striplight](http://i.imgur.com/X8jU884.jpg?1)](https://github.com/jweisz/twitter-striplight)

- **Singing Fish**

[![Fish](https://img.youtube.com/vi/I1ELmAUYZ1M/0.jpg)](https://www.youtube.com/watch?v=I1ELmAUYZ1M)

# Node-RED Essentials

- **[Setting up your TJBot to use Node-RED](https://medium.com/@jeancarlbisson/setting-up-your-tjbot-to-use-node-red-df94ff94a114)**  by [JeanCarl Bisson](https://medium.com/@jeancarlbisson).

- **[Train TJBot to wave in Node-RED](https://medium.com/@jeancarlbisson/train-tjbot-to-wave-in-node-red-62826d269ba5)**  by [JeanCarl Bisson](https://medium.com/@jeancarlbisson).

- **[Train TJBot to shine LED in Node-RED](https://medium.com/@jeancarlbisson/train-tjbot-to-shine-led-in-node-red-918fcc6d844d)**  by [JeanCarl Bisson](https://medium.com/@jeancarlbisson).

- **[Train TJBot to pulse in Node-RED](https://medium.com/@jeancarlbisson/train-tjbot-to-pulse-the-led-in-node-red-ca044b2ef63)**  by [JeanCarl Bisson](https://medium.com/@jeancarlbisson).

- **[Train TJBot to listen in Node-RED](https://medium.com/@jeancarlbisson/train-tjbot-to-listen-in-node-red-ab9500768c52)**  by [JeanCarl Bisson](https://medium.com/@jeancarlbisson).

- **[Train TJBot to speak in Node-RED](https://medium.com/@jeancarlbisson/train-tjbot-to-speak-in-node-red-a424d801d5d3)**  by [JeanCarl Bisson](https://medium.com/@jeancarlbisson).

- **[Train TJBot to see in Node-RED](https://medium.com/@jeancarlbisson/train-tjbot-to-see-in-node-red-1821dd0513f6)**  by [JeanCarl Bisson](https://medium.com/@jeancarlbisson).

- **[Train TJBot to converse in Node-RED](https://medium.com/@jeancarlbisson/train-tjbot-to-converse-in-node-red-b46bf765fd4a)**  by [JeanCarl Bisson](https://medium.com/@jeancarlbisson).

- **[Train TJBot to translate in Node-RED](https://medium.com/@jeancarlbisson/train-tjbot-to-translate-in-node-red-dabf272ad9eb)**  by [JeanCarl Bisson](https://medium.com/@jeancarlbisson).

- **[Train TJBot to analyze emotions in Node-RED](https://medium.com/@jeancarlbisson/train-tjbot-to-analyze-emotion-in-node-red-47a8e78b2cb2)**  by [JeanCarl Bisson](https://medium.com/@jeancarlbisson).

- **[Train TJBot to spell words in Node-RED](https://medium.com/@jeancarlbisson/train-tjbot-to-spell-words-in-node-red-9f0a9cc11a90)**  by [JeanCarl Bisson](https://medium.com/@jeancarlbisson).

- **[Train TJBot to Identify Language in Node-RED](https://medium.com/@jeancarlbisson/train-tjbot-to-identify-language-in-node-red-34dee98da592)**  by [JeanCarl Bisson](https://medium.com/@jeancarlbisson).

- **[Train TJBot to identify colors in Node-RED](https://medium.com/@jeancarlbisson/train-tjbot-to-identify-colors-in-node-red-f99d069e04cf)**  by [JeanCarl Bisson](https://medium.com/@jeancarlbisson).

- **[Train TJBot to identify objects in Node-RED](https://medium.com/@jeancarlbisson/train-tjbot-to-identify-objects-in-node-red-ab7420141e5f)**  by [JeanCarl Bisson](https://medium.com/@jeancarlbisson).

- **[Train TJBot to analyze language tones in Node-RED](https://medium.com/@jeancarlbisson/train-tjbot-to-analyze-language-tones-in-node-red-2d4db3bee59b)**  by [JeanCarl Bisson](https://medium.com/@jeancarlbisson).

- **[TJBot Node-RED Dashboard](https://github.com/johnwalicki/TJBot-Node-RED)** by [John Walicki](https://github.com/johnwalicki).

- **[A Chat interface for controlling TJBot](https://github.com/markusvankempen/PimpMyTJBot)** by [Markus van Kempen](https://github.com/markusvankempen).

# Controling Devices/Tools with TJBot

- **[TJBot can control electrical devices](https://github.com/pgcrumley/Controllers/tree/master/EtekcityOutlet)** by [Paul G Crumley](https://github.com/pgcrumley)

[![TJBot can control electrical devices](https://img.youtube.com/vi/sVOzujiDN_Q/0.jpg)](https://www.youtube.com/watch?v=sVOzujiDN_Q)

- **[Control a lamp with TJBot](http://www.spirited-engineering.com/?p=147)** by [Nguyen Van Duy](https://github.com/dnguyenv). This recipe guides you through how to make your TJBot listen to your commands and `turn on`, `turn off` a lamp (yes, a real lamp).

[![Control a lamp with TJBot](https://img.youtube.com/vi/w4lEJGe1pNU/0.jpg)](https://www.youtube.com/watch?v=w4lEJGe1pNU)

- **Control another lamp with TJBot**

[![Control another lamp with TJBot](https://img.youtube.com/vi/nbehgxPxypA/0.jpg)](https://www.youtube.com/watch?v=nbehgxPxypA)

- Run a million volt Tesla coil by [John Cohn](https://twitter.com/johncohnvt?ref_src=twsrc%5Egoogle%7Ctwcamp%5Eserp%7Ctwgr%5Eauthor)

[![Run a million volt Tesla coil](https://img.youtube.com/vi/hETqF3yt8NI/0.jpg)](https://www.youtube.com/watch?v=hETqF3yt8NI)

- **[TJ Calendar](https://github.com/DrewGregory/tjcalendar)** by [Drew Gregory](https://github.com/DrewGregory). A personal event planner based on your Google Calendar history

[![TJ Calendar](https://img.youtube.com/vi/EviQg5-rP0c/0.jpg)](https://www.youtube.com/watch?v=EviQg5-rP0c)

- **[Control TV with TJBot](http://www.spirited-engineering.com/?p=147)** by [Francesco Sabba, Luisa Bartoloni, Matteo Mazzanti and Virginia Amadori (from Università Politecnica delle Marche)](https://github.com/fra-sabba). TJbot is a "zapping" friend connected to internet and to your TV, allowing elderly people to navigate on the web like they are watching their TV.

[![Control TV with TJBot](http://i.imgur.com/C2tR1R8.jpg?1)](https://github.com/fra-sabba/VisioneT)

# Vision Recognition
- **[tjbot-visual-recognition](https://github.com/boxcarton/tjbot-visual-recognition)** by [Joshua Zheng](https://github.com/boxcarton). #TJBot socializing with classic monsters.

[![Monsters](http://i.imgur.com/yL5aTAK.jpg?1)](https://youtu.be/s0SPWIfDqng)

- **[TJVision](https://github.com/victordibia/tjvision)**  by [Victor Dibia](https://github.com/victordibia). Get your TJBot to recognize (and read out) content of images using the Watson Visual Recognition API.

- **[VisualTJ (Node-Red based)](https://github.com/samuelvogelmann/visualtj)** by [Samuel Vogelmann](https://github.com/samuelvogelmann). A Node-RED based application to make your TJbot see and recognize the world.

[![VisualTJ](http://i.imgur.com/IQzqywL.png?1)](https://github.com/samuelvogelmann/visualtj)

- **[TJBot-Visual](https://github.com/Captain-Cheesecake/TJBot-Visual)** by [Gwilym Newton](https://github.com/Captain-Cheesecake). Connecting Conversation to Visual Recognition and make your TJbot see and recognize the world.

[![TJBot-Visual](https://img.youtube.com/vi/8CXfi5xxF9w/0.jpg)](https://www.youtube.com/watch?v=8CXfi5xxF9w)

- **[StockPots](https://github.com/StuartArnell/StockPots)** by [StuartArnell](https://github.com/StuartArnell). A simple TJBot application that recognises, and converses on, different Knorr Stockpots based on Watson Cognitive capabilities.

[![StockPots](https://img.youtube.com/vi/NJo0oMsMUsQ/0.jpg)](https://www.youtube.com/watch?v=8NJo0oMsMUsQ)

# Speaking other languages
[![language1](https://img.youtube.com/vi/5_ShfNO43Wg/0.jpg)](https://www.youtube.com/watch?v=5_ShfNO43Wg)

[![language4](https://img.youtube.com/vi/6wX0GyiyCvE/0.jpg)](https://www.youtube.com/watch?v=5_6wX0GyiyCvE)

[![language2](https://img.youtube.com/vi/bB8NZjSgohc/0.jpg)](https://www.youtube.com/watch?v=5_bB8NZjSgohc)

[![language3](https://img.youtube.com/vi/bESLbOJ_lbE/0.jpg)](https://www.youtube.com/watch?v=bESLbOJ_lbE)

# Other

- **[DoctorWat](https://github.com/wilsonandusa/DoctorWat)**  by [WilsonWu](https://github.com/wilsonandusa). A desktop a

[![DoctorWat](https://img.youtube.com/vi/8t4sXKKVstY/0.jpg)](https://www.youtube.com/watch?v=8t4sXKKVstY)

- **[TJBot Heptathalon](https://github.com/mauer15317/tjbot-heptathalon)**  by [Ron Mauer](https://github.com/mauer15317). Leverages IBM Watson Cognitive Services including - Conversation, Text to Speech, Speech to Text, Language Translator, Discovery, Tone Analyzer and Visual Recognition.

[![TJBot Heptathalon](https://img.youtube.com/vi/bLqGqhc3cRA/0.jpg)](https://www.youtube.com/watch?v=bLqGqhc3cRA)

- **[TJWave](https://github.com/victordibia/tjwave)**  by [Victor Dibia](https://github.com/victordibia). Fun controller recipe for TJBot's servo arm.

[![TJWave](https://img.youtube.com/vi/Wks9-9V7eMY/0.jpg)](https://www.youtube.com/watch?v=Wks9-9V7eMY)

- **[TJDashboard](https://github.com/victordibia/tjdashboard)**  by [Victor Dibia](https://github.com/victordibia). Web interface to visualize underlying processes on TJBot.

- **[SwiftyTJ](https://github.com/jweisz/swifty-tj)**  by [Justin Weisz](https://github.com/jweisz). This recipe enables TJBot’s LED to be controlled from a Swift program.

- **[TJDJ](https://github.com/victordibia/tjdj)**  by [Victor Dibia](https://github.com/victordibia). Fun speech-based app to get TJBot playing (and dancing to) song snippets using Watson Apis and the Spotify api.

- **[Project Intu](https://github.com/watson-intu/self-sdk#raspberry-pi)** by [Watson Intu](https://github.com/watson-intu). Project Intu is an experimental service that allows developers to quickly and seamlessly integrate various cognitive services, such as Conversation and Speech-to-Text, with the capabilities of various devices, spaces and physical objects. While not being a recipe, Intu is a middleware that can be installed on TJBot and used to architect more complex interactions for your robot. [Learn more](http://www.ibm.com/watson/developercloud/project-intu.html) about Project Intu.
